FreeCalypso > hg > fc-magnetite
annotate scripts/config-headers.sh @ 635:baa0a02bc676
niq32.c DTR handling restored for targets that have it
TI's original TCS211 fw treated GPIO 3 as the DTR input (wired so on C-Sample
and D-Sample boards, also compatible with Leonardo and FCDEV3B which have a
fixed pull-down resistor on this GPIO line), and the code in niq32.c called
UAF_DTRInterruptHandler() (implemented in uartfax.c) from the
IQ_KeypadGPIOHandler() function. But on Openmoko's GTA02 with their official
fw this GPIO is a floating input, all of the DTR handling code in uartfax.c
including the interrupt logic is still there, but the hobbled TCS211-20070608
semi-src delivery which OM got from TI contained a change in niq32.c (which
had been kept in FC until now) that removed the call to
UAF_DTRInterruptHandler() as part of those not-quite-understood "CC test"
hacks.
The present change fixes this bug at a long last: if we are building fw for a
target that has TI's "classic" DTR & DCD GPIO arrangement (dsample, fcmodem and
gtm900), we bring back all of TI's original code in both uartfax.c and niq32.c,
whereas if we are building fw for a target that does not use this classic GPIO
arrangement, the code in niq32.c goes back to what we got from OM and all
DTR & DCD code in uartfax.c is conditioned out. This change also removes the
very last remaining bit of "CC test" bogosity from our FreeCalypso code base.
author | Mychaela Falconia <falcon@freecalypso.org> |
---|---|
date | Sun, 19 Jan 2020 01:41:35 +0000 |
parents | 92dbfa906f66 |
children |
rev | line source |
---|---|
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
1 #!/bin/sh |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
2 |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
3 if [ $# != 2 ] |
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
4 then |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
5 echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2 |
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
6 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
7 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
8 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
9 if [ -z "$TARGET" ] |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
10 then |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
11 echo "Error: TARGET= must be passed via environment" 1>&2 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
12 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
13 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
14 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
15 if [ -z "$BUILD_DIR" ] |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
16 then |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
17 echo "Error: BUILD_DIR= must be passed via environment" 1>&2 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
18 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
19 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
20 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
21 set -e |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
22 |
14
86e83045be37
scripts/config-headers.sh: allow this script to be re-run
Mychaela Falconia <falcon@freecalypso.org>
parents:
6
diff
changeset
|
23 rm -rf $BUILD_DIR/config |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
24 cp -r cfg-headers/base $BUILD_DIR/config |
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
25 cp cfg-headers/$1/* $BUILD_DIR/config |
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
26 cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h |
602
92dbfa906f66
fc-target.cfg config header renamed to more sensible fc-target.h
Mychaela Falconia <falcon@freecalypso.org>
parents:
144
diff
changeset
|
27 cp targets/$TARGET.h $BUILD_DIR/config/fc-target.h |